Skip to main content
`Ctrl`+`K`

# PetscPartitionerMatPartitioningGetMatPartitioning

Get a `MatPartitioning` instance wrapped by this `PetscPartitioner`.

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerMatPartitioningGetMatPartitioning(PetscPartitioner part, MatPartitioning *mp)

Not Collective

## Input Parameter

- part - The `PetscPartitioner`

## Output Parameter

- mp - The `MatPartitioning`

## See Also

`DMPlexDistribute()`, `PetscPartitionerCreate()`

## Level

developer

## Location

src/dm/partitioner/impls/matpart/partmatpart.c

## Implementations

PetscPartitionerMatPartitioningGetMatPartitioning_MatPartitioning() in src/dm/partitioner/impls/matpart/partmatpart.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages